]> git.zerfleddert.de Git - m1-debian/blobdiff - gpu.sh
improve shell scripts
[m1-debian] / gpu.sh
diff --git a/gpu.sh b/gpu.sh
index 7aead880c62a2796c4c62b1a1c87081c1c8a43a3..61508fd351211dcda0af860aa92554ffabea44a1 100644 (file)
--- a/gpu.sh
+++ b/gpu.sh
@@ -1,9 +1,13 @@
-#!/bin/bash
+#!/usr/bin/env bash
 
 # SPDX-License-Identifier: MIT
 
-set -x
-set -e
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
 
 unset LC_CTYPE
 unset LANG
@@ -40,7 +44,6 @@ build_uboot()
         test -d u-boot || git clone https://github.com/AsahiLinux/u-boot
         cd u-boot
         git fetch -a -t
-        # For tag, see https://github.com/AsahiLinux/PKGBUILDs/blob/main/uboot-asahi/PKGBUILD
         git reset --hard origin/asahi;
         curl -s https://tg.st/u/0001-usb-request-on-8-bytes-for-USB_SPEED_FULL-bMaxPacket.patch | git am -
         make apple_m1_defconfig
Impressum, Datenschutz